Opensips 2.3 db version error

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Opensips 2.3 db version error

maatohewetbi
This post was updated on .
I wanted to install Opensips 2.3, and everythings goes well, but after this process I can't start opensips and have those lines in log:

Jun  2 11:17:06 OpenSips/sbin/opensips[11692]: ERROR:core:db_check_table_version: invalid version 1009 for table aliases found, expected 1011
Jun  2 11:17:06 OpenSips /sbin/opensips[11692]: ERROR:usrloc:register_udomain: error during table version check.


I'm sure I used right version. After changing this version by hand, I still get other errors:

Jun  2 11:34:51 OpenSips /sbin/opensips[11980]: CRITICAL:db_mysql:wrapper_single_mysql_real_query: driver error (1054): Unknown column 'contact_id' in 'field list'
Jun  2 11:34:51 OpenSips /sbin/opensips[11980]: ERROR:core:db_do_query: error while submitting query - [select username,contact_id,contact,expires,q,callid,cseq,flags,cflags,user_agent,received,path,socket,methods,last_modified,sip_instance,attr from aliases ]


It looks like DB creator is wrong, can anyone give an advise?
Reply | Threaded
Open this post in threaded view
|

Re: Opensips 2.3 db version error

Răzvan Crainea-2
Hello!

It definitely looks like you don't hve the right DB schema for the
aliases table. It should have the same schema as the location table.

Best regards,

Răzvan Crainea
OpenSIPS Core Developer
http://www.opensips-solutions.com

On 06/02/2017 12:36 PM, maatohewetbi wrote:

> I wanted to install Opensips 2.3, and everythings goes well, but after this
> process I can't start opensips and have those lines in log:
>
> /Jun  2 11:17:06 OpenSips-Reseller /sbin/opensips[11692]:
> ERROR:core:db_check_table_version: invalid version 1009 for table aliases
> found, expected 1011
> Jun  2 11:17:06 OpenSips-Reseller /sbin/opensips[11692]:
> ERROR:usrloc:register_udomain: error during table version check./
>
> I'm sure I used right version. After changing this version by hand, I still
> get other errors:
>
> /Jun  2 11:34:51 OpenSips-Reseller /sbin/opensips[11980]:
> CRITICAL:db_mysql:wrapper_single_mysql_real_query: driver error (1054):
> Unknown column 'contact_id' in 'field list'
> Jun  2 11:34:51 OpenSips-Reseller /sbin/opensips[11980]:
> ERROR:core:db_do_query: error while submitting query - [select
> username,contact_id,contact,expires,q,callid,cseq,flags,cflags,user_agent,received,path,socket,methods,last_modified,sip_instance,attr
> from aliases ]/
>
> It looks like DB creator is wrong, can anyone give an advise?
>
>
>
>
> --
> View this message in context: http://opensips-open-sip-server.1449251.n2.nabble.com/Opensips-2-3-db-version-error-tp7607579.html
> Sent from the OpenSIPS - Users mailing list archive at Nabble.com.
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Opensips 2.3 db version error

maatohewetbi
Yes it is. I managed to get Opensips working: I replicated location table into aliases, so that both are the same. It started. Big Thank You Răzvan